org.apache.ignite.mxbean

## Interface TransactionMetricsMxBean

All Superinterfaces:
  Serializable, TransactionMetrics

All Known Implementing Classes:
  TransactionMetricsMxBeanImpl

    @MXBeanDescription(value="MBean that provides access to Ignite transactions.")
    public interface TransactionMetricsMxBean
    extends TransactionMetrics

Transactions MXBean interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,String>` `getAllOwnerTransactions()` All near transactions
`long` `getLockedKeysNumber()` The number of keys locked on the node.
`Map<String,String>` `getLongRunningOwnerTransactions(int duration)` Long running near transactions
`long` `getOwnerTransactionsNumber()` The number of active transactions for which this node is the initiator.
`long` `getTransactionsCommittedNumber()` The number of transactions which were committed.
`long` `getTransactionsHoldingLockNumber()` The number of active transactions holding at least one key lock.
`long` `getTransactionsRolledBackNumber()` The number of transactions which were rollback.

### Methods inherited from interface org.apache.ignite.transactions.TransactionMetrics

`commitTime, rollbackTime, txCommits, txRollbacks`

### Method Detail

#### getAllOwnerTransactions

    @MXBeanDescription(value="All near transactions.")
    Map<String,String> getAllOwnerTransactions()

All near transactions

Specified by:
  `getAllOwnerTransactions` in interface `TransactionMetrics`
Returns:
  near transactions.

#### getLongRunningOwnerTransactions

    @MXBeanDescription(value="Long running near transactions.")
     @MXBeanParametersNames(value="duration")
     @MXBeanParametersDescriptions(value="Duration, at least (ms).")
    Map<String,String> getLongRunningOwnerTransactions(int duration)

Long running near transactions

Specified by:
  `getLongRunningOwnerTransactions` in interface `TransactionMetrics`
Returns:
  near transactions.

#### getTransactionsCommittedNumber

    @MXBeanDescription(value="The number of transactions which were committed.")
    long getTransactionsCommittedNumber()

The number of transactions which were committed.

Specified by:
  `getTransactionsCommittedNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were committed.

#### getTransactionsRolledBackNumber

    @MXBeanDescription(value="The number of transactions which were rollback.")
    long getTransactionsRolledBackNumber()

The number of transactions which were rollback.

Specified by:
  `getTransactionsRolledBackNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were rollback.

#### getTransactionsHoldingLockNumber

    @MXBeanDescription(value="The number of active transactions holding at least one key lock.")
    long getTransactionsHoldingLockNumber()

The number of active transactions holding at least one key lock.

Specified by:
  `getTransactionsHoldingLockNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions holding at least one key lock.

#### getLockedKeysNumber

    @MXBeanDescription(value="The number of keys locked on the node.")
    long getLockedKeysNumber()

The number of keys locked on the node.

Specified by:
  `getLockedKeysNumber` in interface `TransactionMetrics`
Returns:
  number of keys locked on the node.

#### getOwnerTransactionsNumber

    @MXBeanDescription(value="The number of active transactions for which this node is the initiator.")
    long getOwnerTransactionsNumber()

The number of active transactions for which this node is the initiator.

Specified by:
  `getOwnerTransactionsNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions for which this node is the initiator.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019